---
updatedAt: 2025-09-22T12:42:07.000Z
agentTools:
  projectIndex: https://developer.searoutes.com/llms.txt
---

# Find a service by id

This endpoint allows to get service information by id including the name, the ids of the carriers which operate the service, the designation of the service per carrier, the intermediate port calls and the IMOs of the vessels operating these services.

Note that `carrierIds`, `portLocodes` and `vesselImos` in the response are deprecated.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "2.10.0",
    "title": "Search",
    "description": "# Introduction\nThe Searoutes web services APIs allow you to programmatically access tools and services from the Searoutes ecosystem. You can use these APIs to retrieve informations about vessel positions, vessel routes, GHG emissions, weather and other core data points. Searoutes services are divided in five categories:\n\n- Our [Geocoding service](#tag/geocoding) searchs points of interests, like ports or airports, and provides you with their geolocations.\n\n- Our [Search service](#tag/search) searchs entities used in other endpoints such as carriers or services.\n\n- Our [Vessel service](#tag/vessel) gives you up to date positions of vessels and estimated travel times to their next destination.\n\nNote that this is the documentation page for most recent stable version of Searoutes API. For the previous stable versions, [visit this documentation page](http://developer.searoutes.com/api/v1). \n\nIf you have a `valid API key`, you may try the API by copying the code samples in your shell, your favorite editor, or API development platform. Please be aware that some endpoints may not work with your API key depending on your service plan. If you would like a trial key or you want to add additional endpoints to your plan, please [get in touch with us](https://searoutes.typeform.com/to/ZRAoy5).\n",
    "termsOfService": "https://searoutes.com/terms-of-service/",
    "contact": {
      "email": "support@searoutes.com",
      "url": "https://searoutes.com"
    },
    "x-logo": {
      "url": "/img/searoutes-logo-vertical-blue.svg",
      "altText": "Searoutes logo"
    }
  },
  "tags": [
    {
      "name": "Service by ID",
      "description": "Service by ID"
    }
  ],
  "servers": [
    {
      "url": "https://api.searoutes.com"
    }
  ],
  "paths": {
    "/search/v2/service/{id}": {
      "get": {
        "operationId": "getServiceById",
        "tags": [
          "Service by ID"
        ],
        "summary": "Find a service by id",
        "description": "This endpoint allows to get service information by id including the name, the ids of the carriers which operate the service, the designation of the service per carrier, the intermediate port calls and the IMOs of the vessels operating these services.\n\nNote that `carrierIds`, `portLocodes` and `vesselImos` in the response are deprecated.\n",
        "parameters": [
          {
            "name": "id",
            "description": "The id of the service",
            "in": "path",
            "required": true,
            "schema": {
              "default": 214,
              "example": 214,
              "type": "integer"
            }
          }
        ],
        "x-code-samples": [
          {
            "lang": "curl",
            "source": "curl -X GET \\\nhttps://api.searoutes.com/search/v2/service/214 \\\n-H 'x-api-key: <your-api-key-here>'\n"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "example": {
                  "id": 214,
                  "name": "OCEAN Alliance - French Asia Line 1-FAL",
                  "vessels": [
                    {
                      "imo": 9631955
                    },
                    {
                      "imo": 9776432
                    },
                    {
                      "imo": 9839155
                    },
                    {
                      "imo": 9632026
                    },
                    {
                      "imo": 9839167
                    },
                    {
                      "imo": 9631967
                    },
                    {
                      "imo": 9839131
                    },
                    {
                      "imo": 9706906
                    },
                    {
                      "imo": 9839193
                    },
                    {
                      "imo": 9776420
                    },
                    {
                      "imo": 9839143
                    },
                    {
                      "imo": 9702144
                    },
                    {
                      "imo": 9776418
                    },
                    {
                      "imo": 9702156
                    },
                    {
                      "imo": 9631979
                    },
                    {
                      "imo": 9839181
                    },
                    {
                      "imo": 9839210
                    },
                    {
                      "imo": 9706889
                    },
                    {
                      "imo": 9839179
                    },
                    {
                      "imo": 9839208
                    },
                    {
                      "imo": 9631981
                    },
                    {
                      "imo": 9706891
                    }
                  ],
                  "ports": [
                    {
                      "locode": "KRPUS"
                    },
                    {
                      "locode": "CNNGB"
                    },
                    {
                      "locode": "CNSHA"
                    },
                    {
                      "locode": "CNYTN"
                    },
                    {
                      "locode": "SGSIN"
                    },
                    {
                      "locode": "FRLEH"
                    },
                    {
                      "locode": "FRDKK"
                    },
                    {
                      "locode": "DEHAM"
                    },
                    {
                      "locode": "PLGDN"
                    },
                    {
                      "locode": "NLRTM"
                    },
                    {
                      "locode": "SAJED"
                    },
                    {
                      "locode": "MYPKG"
                    },
                    {
                      "locode": "KRPUS"
                    }
                  ],
                  "carriers": [
                    {
                      "id": 360,
                      "serviceCode": "FAL"
                    },
                    {
                      "id": 81,
                      "serviceCode": "LL4"
                    },
                    {
                      "id": 25,
                      "serviceCode": "AEU2"
                    },
                    {
                      "id": 41,
                      "serviceCode": "FAL1"
                    },
                    {
                      "id": 4,
                      "serviceCode": "FAL"
                    },
                    {
                      "id": 21,
                      "serviceCode": "FAL"
                    }
                  ]
                }
              }
            }
          },
          "404": {
            "description": "Service not found.",
            "content": {
              "application/json": {
                "example": {
                  "timestamp": 1625228833006,
                  "status": 404,
                  "error": "Not Found",
                  "errorCodes": [
                    "1122"
                  ],
                  "messages": [
                    "Service with id '2' not found."
                  ]
                }
              }
            }
          }
        },
        "security": [
          {
            "api_key": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "description": "Use your `x-api-key` to authenticate with our APIs. Note that your key is tied with a usage plan. You are therefore rate limited depending on your subscription. If you wish you increase your request calls, please [get in touch with us](/contact/)."
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```